﻿using MMDFileParser;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MMDFileParser.MotionParser
{
    public class CameraFrameList
    {
        internal static CameraFrameList getCrameraFrameList(Stream fs)
        {
            CameraFrameList cfl = new CameraFrameList();
            try
            {
                cfl.CameraFrameCount = ParserHelper.getDWORD(fs);
            }catch(EndOfStreamException eof)
            {
                cfl.CameraFrameCount = 0;
                return cfl;
            }
            for (int i = 0; i < cfl.CameraFrameCount; i++) cfl.CameraFrames.Add(CameraFrameData.getCameraFrame(fs));
            return cfl;
        }

        public uint CameraFrameCount;

        public List<CameraFrameData> CameraFrames = new List<CameraFrameData>();
    }
}
