﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MMDFileParser.PMXModelParser
{
    public class VertexList
    {
        public int VertexCount { get; private set; }
        public List<VertexData> Vertexes { get; private set; }

        internal static VertexList getVertexList(FileStream fs,Header header)
        {
            VertexList list = new VertexList();
            list.Vertexes = new List<VertexData>();
            list.VertexCount = ParserHelper.getInt(fs);
            for (int i = 0; i < list.VertexCount; i++)
            {
                list.Vertexes.Add(VertexData.getVertex(fs, header));
            }
            return list;
        }
    }
}
