﻿using SlimDX;

namespace MMDFileParser.XParser
{
    public interface IMaterial
    {
        /// <summary>
        /// faceColor
        /// </summary>
        Vector4 DiffuseColor { get; }

        /// <summary>
        /// Specular
        /// </summary>
        Vector3 SpecularColor { get; }

        float SpecularPower { get; }

        Vector3 EmissiveColor { get; }

        /// <summary>
        /// ない場合はnull
        /// </summary>
        string TexturePath { get; }
    }
}