using System;
using System.Collections.Generic;
using SlimDX;

namespace MMDFileParser.XParser
{
    public class MeshVertexColors : XObj
    {
        public int nVertexColors;
        public List<Vector4> vertexColors;

        public MeshVertexColors() 
        {
            vertexColors = new List<Vector4>();
        }

        public override void debug()
        {
            Console.WriteLine("nVertexColors: " + nVertexColors);
            foreach (Vector4 c in vertexColors) {
                Console.WriteLine(c.X + ", " + c.Y + ", " + c.Z + ", " + c.W);
            }
        }
    }
}