﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MMF.CG.Model.MMD;

namespace MMF.CG.MMEEffect.Script
{
    internal abstract class FunctionBase
    {
        public abstract string FunctionName { get; }

        public abstract FunctionBase GetExecuterInstance(int index, string value, RenderContext context, ScriptRuntime runtime, MMEEffectManager manager, MMEEffectTechnique technique, MMEEffectPass pass);

        public abstract void Execute(ISubset subset,Action<ISubset> drawAction );

        public virtual void Increment(ScriptRuntime runtime)
        {
            runtime.CurrentExecuter++;
        }
    }
}
