﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SlimDX.Direct2D;

namespace MMF.CG.Model.Sprite.D2D
{
    public class D2DSpriteRadialGradientBrush:IDisposable
    {
        public RadialGradientBrush Brush;

        public D2DSpriteRadialGradientBrush(D2DSpriteBatch batch,GradientStopCollection collection,RadialGradientBrushProperties rgbp)
        {
            Brush=new RadialGradientBrush(batch.DWRenderTarget,collection,rgbp);
        }

        ~D2DSpriteRadialGradientBrush()
        {
            Debug.WriteLine("D2DSpriteRadialGradientBrushはIDisposableですが、Disposeされませんでした。");
            Dispose();
        }

        public void Dispose()
        {
            if (Brush != null && !Brush.Disposed) Brush.Dispose();
            GC.SuppressFinalize(this);
        }
    }
}
