﻿using MMF.CG.Model.MMD.Morph;

namespace MMF.CG.Skinning
{
    public interface ITransformUpdater
    {
        /// <summary>
        /// ボーンの変化量などを計算し、ボーンに割り当てる
        /// </summary>
        /// <param name="prov">スキニングに利用するインターフェース</param>
        /// <param name="morph"></param>
        /// <returns>この値を元に行列を即生成するかどうか</returns>
        bool UpdateTransform(ISkinningProvider prov,IMMDMorphManager morph);
    }
}