﻿using System.Drawing;
using System.Drawing.Imaging;
using System.IO;

namespace MMF.CG.Utility
{
    /// <summary>
    /// tgaファイルをDX11では読み込めないので、一度pngに変換してから読み込む
    /// </summary>
    public static class TargaSolver
    {
        public static Stream LoadTargaImage(string filePath,ImageFormat rootFormat=null)
        {
            if (rootFormat == null) rootFormat = ImageFormat.Png;
            Bitmap tgaFile = Paloma.TargaImage.LoadTargaImage(filePath);
            MemoryStream ms=new MemoryStream();
                tgaFile.Save(ms,rootFormat);
                ms.Seek(0, SeekOrigin.Begin);
                return ms;
        }
    }
}
