using System;
using System.Collections.Generic;
using SlimDX;

namespace MMDFileParser.XParser
{
    public class Mesh : XObj
    {
        public int nVertices;
        public int nFaces;
        public List<Vector3> vertices;
        public List<Vector3> faces;

        public Mesh()
        {
            vertices = new List<Vector3>();
            faces = new List<Vector3>();
        }
        public override void debug()
        {
            Console.WriteLine("nVertices: " + nVertices);
            Console.WriteLine("nFaces: " + nFaces);
            Console.WriteLine("vertices");
            foreach (Vector3 v in vertices) {
                Console.WriteLine(v.X + ", " + v.Y + ", " + v.Z);
            }
            Console.WriteLine("faces");
            foreach (Vector3 v in faces) {
                Console.WriteLine(v.X + ", " + v.Y + ", " + v.Z);
            }
        }
    }
}