﻿using System;
using SlimDX.Direct3D11;

namespace MMDD.CG.Model.Sprite
{
    public interface IDynamicTexture : IDisposable
    {
        Texture2D TextureResource { get; }

        ShaderResourceView TextureResourceView { get; }

        void UpdateTexture();

        bool NeedUpdate { get; }
    }
}