﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MMF.CG.MMEEffect.VariableSubscriber.MaterialSubscriber;
using MMF.CG.Model.MMD;
using MMDFileParser.XParser;

namespace MMF.CG.Model.XFile
{
    class XSubset:ISubset
    {
        public XSubset(Material mat,IDrawable drawable)
        {
            MaterialInfo=new MaterialInfo();
            MaterialInfo.DiffuseColor = mat.faceColor;
            MaterialInfo.SpecularColor = mat.specularColor;
            MaterialInfo.SpecularPower = mat.power;
            MaterialInfo.EmissiveColor = mat.emissiveColor;
            Drawable = drawable;
            DoCulling = true;
        }

        public MaterialInfo MaterialInfo { get; private set; }
        public int SubsetId { get; private set; }
        public IDrawable Drawable { get; set; }
        public int StartIndex { get; private set; }
        public int VertexCount { get; private set; }
        public bool DoCulling { get; private set; }
    }
}
