﻿namespace MMF.CG.Motion
{
    /// <summary>
    ///     モーションの名前とインデックスのデータ
    /// </summary>
    public class MotionNameAndIndexData
    {
        /// <summary>
        ///     コンストラクタ
        /// </summary>
        /// <param name="provider">モーションプロバイダ</param>
        /// <param name="path">ファイルパス</param>
        internal MotionNameAndIndexData(IMotionProvider provider, string path)
        {
            MotionProvider = provider;
            MotionPath = path;
        }

        /// <summary>
        ///     モーションインデックス
        /// </summary>
        public IMotionProvider MotionProvider { get; set; }

        /// <summary>
        ///     モーションパス
        /// </summary>
        public string MotionPath { get; set; }
    }
}